Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network93.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
93.0.0.0
Broadcast address
93.255.255.255
First usable
93.0.0.1
Last usable
93.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 5D000000 · Integer 1560281088 to 1577058303
Reverse DNS zone
93.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011101..00000000.00000000.0000000093.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01011101..00000000.00000000.0000000093.0.0.0
Broadcast01011101..11111111.11111111.1111111193.255.255.255
Split into smaller subnets/20

93.0.0.0/8 makes 4,096 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
193.0.0.0/2093.0.0.1 to 93.0.15.25493.0.15.2554,094
293.0.16.0/2093.0.16.1 to 93.0.31.25493.0.31.2554,094
393.0.32.0/2093.0.32.1 to 93.0.47.25493.0.47.2554,094
493.0.48.0/2093.0.48.1 to 93.0.63.25493.0.63.2554,094
593.0.64.0/2093.0.64.1 to 93.0.79.25493.0.79.2554,094
693.0.80.0/2093.0.80.1 to 93.0.95.25493.0.95.2554,094
793.0.96.0/2093.0.96.1 to 93.0.111.25493.0.111.2554,094
893.0.112.0/2093.0.112.1 to 93.0.127.25493.0.127.2554,094
993.0.128.0/2093.0.128.1 to 93.0.143.25493.0.143.2554,094
1093.0.144.0/2093.0.144.1 to 93.0.159.25493.0.159.2554,094
1193.0.160.0/2093.0.160.1 to 93.0.175.25493.0.175.2554,094
1293.0.176.0/2093.0.176.1 to 93.0.191.25493.0.191.2554,094
1393.0.192.0/2093.0.192.1 to 93.0.207.25493.0.207.2554,094
1493.0.208.0/2093.0.208.1 to 93.0.223.25493.0.223.2554,094
1593.0.224.0/2093.0.224.1 to 93.0.239.25493.0.239.2554,094
1693.0.240.0/2093.0.240.1 to 93.0.255.25493.0.255.2554,094
1793.1.0.0/2093.1.0.1 to 93.1.15.25493.1.15.2554,094
1893.1.16.0/2093.1.16.1 to 93.1.31.25493.1.31.2554,094
1993.1.32.0/2093.1.32.1 to 93.1.47.25493.1.47.2554,094
2093.1.48.0/2093.1.48.1 to 93.1.63.25493.1.63.2554,094
2193.1.64.0/2093.1.64.1 to 93.1.79.25493.1.79.2554,094
2293.1.80.0/2093.1.80.1 to 93.1.95.25493.1.95.2554,094
2393.1.96.0/2093.1.96.1 to 93.1.111.25493.1.111.2554,094
2493.1.112.0/2093.1.112.1 to 93.1.127.25493.1.127.2554,094
2593.1.128.0/2093.1.128.1 to 93.1.143.25493.1.143.2554,094
2693.1.144.0/2093.1.144.1 to 93.1.159.25493.1.159.2554,094
2793.1.160.0/2093.1.160.1 to 93.1.175.25493.1.175.2554,094
2893.1.176.0/2093.1.176.1 to 93.1.191.25493.1.191.2554,094
2993.1.192.0/2093.1.192.1 to 93.1.207.25493.1.207.2554,094
3093.1.208.0/2093.1.208.1 to 93.1.223.25493.1.223.2554,094
3193.1.224.0/2093.1.224.1 to 93.1.239.25493.1.239.2554,094
3293.1.240.0/2093.1.240.1 to 93.1.255.25493.1.255.2554,094
3393.2.0.0/2093.2.0.1 to 93.2.15.25493.2.15.2554,094
3493.2.16.0/2093.2.16.1 to 93.2.31.25493.2.31.2554,094
3593.2.32.0/2093.2.32.1 to 93.2.47.25493.2.47.2554,094
3693.2.48.0/2093.2.48.1 to 93.2.63.25493.2.63.2554,094
3793.2.64.0/2093.2.64.1 to 93.2.79.25493.2.79.2554,094
3893.2.80.0/2093.2.80.1 to 93.2.95.25493.2.95.2554,094
3993.2.96.0/2093.2.96.1 to 93.2.111.25493.2.111.2554,094
4093.2.112.0/2093.2.112.1 to 93.2.127.25493.2.127.2554,094
4193.2.128.0/2093.2.128.1 to 93.2.143.25493.2.143.2554,094
4293.2.144.0/2093.2.144.1 to 93.2.159.25493.2.159.2554,094
4393.2.160.0/2093.2.160.1 to 93.2.175.25493.2.175.2554,094
4493.2.176.0/2093.2.176.1 to 93.2.191.25493.2.191.2554,094
4593.2.192.0/2093.2.192.1 to 93.2.207.25493.2.207.2554,094
4693.2.208.0/2093.2.208.1 to 93.2.223.25493.2.223.2554,094
4793.2.224.0/2093.2.224.1 to 93.2.239.25493.2.239.2554,094
4893.2.240.0/2093.2.240.1 to 93.2.255.25493.2.255.2554,094
4993.3.0.0/2093.3.0.1 to 93.3.15.25493.3.15.2554,094
5093.3.16.0/2093.3.16.1 to 93.3.31.25493.3.31.2554,094
5193.3.32.0/2093.3.32.1 to 93.3.47.25493.3.47.2554,094
5293.3.48.0/2093.3.48.1 to 93.3.63.25493.3.63.2554,094
5393.3.64.0/2093.3.64.1 to 93.3.79.25493.3.79.2554,094
5493.3.80.0/2093.3.80.1 to 93.3.95.25493.3.95.2554,094
5593.3.96.0/2093.3.96.1 to 93.3.111.25493.3.111.2554,094
5693.3.112.0/2093.3.112.1 to 93.3.127.25493.3.127.2554,094
5793.3.128.0/2093.3.128.1 to 93.3.143.25493.3.143.2554,094
5893.3.144.0/2093.3.144.1 to 93.3.159.25493.3.159.2554,094
5993.3.160.0/2093.3.160.1 to 93.3.175.25493.3.175.2554,094
6093.3.176.0/2093.3.176.1 to 93.3.191.25493.3.191.2554,094
6193.3.192.0/2093.3.192.1 to 93.3.207.25493.3.207.2554,094
6293.3.208.0/2093.3.208.1 to 93.3.223.25493.3.223.2554,094
6393.3.224.0/2093.3.224.1 to 93.3.239.25493.3.239.2554,094
6493.3.240.0/2093.3.240.1 to 93.3.255.25493.3.255.2554,094
6593.4.0.0/2093.4.0.1 to 93.4.15.25493.4.15.2554,094
6693.4.16.0/2093.4.16.1 to 93.4.31.25493.4.31.2554,094
6793.4.32.0/2093.4.32.1 to 93.4.47.25493.4.47.2554,094
6893.4.48.0/2093.4.48.1 to 93.4.63.25493.4.63.2554,094
6993.4.64.0/2093.4.64.1 to 93.4.79.25493.4.79.2554,094
7093.4.80.0/2093.4.80.1 to 93.4.95.25493.4.95.2554,094
7193.4.96.0/2093.4.96.1 to 93.4.111.25493.4.111.2554,094
7293.4.112.0/2093.4.112.1 to 93.4.127.25493.4.127.2554,094
7393.4.128.0/2093.4.128.1 to 93.4.143.25493.4.143.2554,094
7493.4.144.0/2093.4.144.1 to 93.4.159.25493.4.159.2554,094
7593.4.160.0/2093.4.160.1 to 93.4.175.25493.4.175.2554,094
7693.4.176.0/2093.4.176.1 to 93.4.191.25493.4.191.2554,094
7793.4.192.0/2093.4.192.1 to 93.4.207.25493.4.207.2554,094
7893.4.208.0/2093.4.208.1 to 93.4.223.25493.4.223.2554,094
7993.4.224.0/2093.4.224.1 to 93.4.239.25493.4.239.2554,094
8093.4.240.0/2093.4.240.1 to 93.4.255.25493.4.255.2554,094
8193.5.0.0/2093.5.0.1 to 93.5.15.25493.5.15.2554,094
8293.5.16.0/2093.5.16.1 to 93.5.31.25493.5.31.2554,094
8393.5.32.0/2093.5.32.1 to 93.5.47.25493.5.47.2554,094
8493.5.48.0/2093.5.48.1 to 93.5.63.25493.5.63.2554,094
8593.5.64.0/2093.5.64.1 to 93.5.79.25493.5.79.2554,094
8693.5.80.0/2093.5.80.1 to 93.5.95.25493.5.95.2554,094
8793.5.96.0/2093.5.96.1 to 93.5.111.25493.5.111.2554,094
8893.5.112.0/2093.5.112.1 to 93.5.127.25493.5.127.2554,094
8993.5.128.0/2093.5.128.1 to 93.5.143.25493.5.143.2554,094
9093.5.144.0/2093.5.144.1 to 93.5.159.25493.5.159.2554,094
9193.5.160.0/2093.5.160.1 to 93.5.175.25493.5.175.2554,094
9293.5.176.0/2093.5.176.1 to 93.5.191.25493.5.191.2554,094
9393.5.192.0/2093.5.192.1 to 93.5.207.25493.5.207.2554,094
9493.5.208.0/2093.5.208.1 to 93.5.223.25493.5.223.2554,094
9593.5.224.0/2093.5.224.1 to 93.5.239.25493.5.239.2554,094
9693.5.240.0/2093.5.240.1 to 93.5.255.25493.5.255.2554,094
9793.6.0.0/2093.6.0.1 to 93.6.15.25493.6.15.2554,094
9893.6.16.0/2093.6.16.1 to 93.6.31.25493.6.31.2554,094
9993.6.32.0/2093.6.32.1 to 93.6.47.25493.6.47.2554,094
10093.6.48.0/2093.6.48.1 to 93.6.63.25493.6.63.2554,094
10193.6.64.0/2093.6.64.1 to 93.6.79.25493.6.79.2554,094
10293.6.80.0/2093.6.80.1 to 93.6.95.25493.6.95.2554,094
10393.6.96.0/2093.6.96.1 to 93.6.111.25493.6.111.2554,094
10493.6.112.0/2093.6.112.1 to 93.6.127.25493.6.127.2554,094
10593.6.128.0/2093.6.128.1 to 93.6.143.25493.6.143.2554,094
10693.6.144.0/2093.6.144.1 to 93.6.159.25493.6.159.2554,094
10793.6.160.0/2093.6.160.1 to 93.6.175.25493.6.175.2554,094
10893.6.176.0/2093.6.176.1 to 93.6.191.25493.6.191.2554,094
10993.6.192.0/2093.6.192.1 to 93.6.207.25493.6.207.2554,094
11093.6.208.0/2093.6.208.1 to 93.6.223.25493.6.223.2554,094
11193.6.224.0/2093.6.224.1 to 93.6.239.25493.6.239.2554,094
11293.6.240.0/2093.6.240.1 to 93.6.255.25493.6.255.2554,094
11393.7.0.0/2093.7.0.1 to 93.7.15.25493.7.15.2554,094
11493.7.16.0/2093.7.16.1 to 93.7.31.25493.7.31.2554,094
11593.7.32.0/2093.7.32.1 to 93.7.47.25493.7.47.2554,094
11693.7.48.0/2093.7.48.1 to 93.7.63.25493.7.63.2554,094
11793.7.64.0/2093.7.64.1 to 93.7.79.25493.7.79.2554,094
11893.7.80.0/2093.7.80.1 to 93.7.95.25493.7.95.2554,094
11993.7.96.0/2093.7.96.1 to 93.7.111.25493.7.111.2554,094
12093.7.112.0/2093.7.112.1 to 93.7.127.25493.7.127.2554,094
12193.7.128.0/2093.7.128.1 to 93.7.143.25493.7.143.2554,094
12293.7.144.0/2093.7.144.1 to 93.7.159.25493.7.159.2554,094
12393.7.160.0/2093.7.160.1 to 93.7.175.25493.7.175.2554,094
12493.7.176.0/2093.7.176.1 to 93.7.191.25493.7.191.2554,094
12593.7.192.0/2093.7.192.1 to 93.7.207.25493.7.207.2554,094
12693.7.208.0/2093.7.208.1 to 93.7.223.25493.7.223.2554,094
12793.7.224.0/2093.7.224.1 to 93.7.239.25493.7.239.2554,094
12893.7.240.0/2093.7.240.1 to 93.7.255.25493.7.255.2554,094
12993.8.0.0/2093.8.0.1 to 93.8.15.25493.8.15.2554,094
13093.8.16.0/2093.8.16.1 to 93.8.31.25493.8.31.2554,094
13193.8.32.0/2093.8.32.1 to 93.8.47.25493.8.47.2554,094
13293.8.48.0/2093.8.48.1 to 93.8.63.25493.8.63.2554,094
13393.8.64.0/2093.8.64.1 to 93.8.79.25493.8.79.2554,094
13493.8.80.0/2093.8.80.1 to 93.8.95.25493.8.95.2554,094
13593.8.96.0/2093.8.96.1 to 93.8.111.25493.8.111.2554,094
13693.8.112.0/2093.8.112.1 to 93.8.127.25493.8.127.2554,094
13793.8.128.0/2093.8.128.1 to 93.8.143.25493.8.143.2554,094
13893.8.144.0/2093.8.144.1 to 93.8.159.25493.8.159.2554,094
13993.8.160.0/2093.8.160.1 to 93.8.175.25493.8.175.2554,094
14093.8.176.0/2093.8.176.1 to 93.8.191.25493.8.191.2554,094
14193.8.192.0/2093.8.192.1 to 93.8.207.25493.8.207.2554,094
14293.8.208.0/2093.8.208.1 to 93.8.223.25493.8.223.2554,094
14393.8.224.0/2093.8.224.1 to 93.8.239.25493.8.239.2554,094
14493.8.240.0/2093.8.240.1 to 93.8.255.25493.8.255.2554,094
14593.9.0.0/2093.9.0.1 to 93.9.15.25493.9.15.2554,094
14693.9.16.0/2093.9.16.1 to 93.9.31.25493.9.31.2554,094
14793.9.32.0/2093.9.32.1 to 93.9.47.25493.9.47.2554,094
14893.9.48.0/2093.9.48.1 to 93.9.63.25493.9.63.2554,094
14993.9.64.0/2093.9.64.1 to 93.9.79.25493.9.79.2554,094
15093.9.80.0/2093.9.80.1 to 93.9.95.25493.9.95.2554,094
15193.9.96.0/2093.9.96.1 to 93.9.111.25493.9.111.2554,094
15293.9.112.0/2093.9.112.1 to 93.9.127.25493.9.127.2554,094
15393.9.128.0/2093.9.128.1 to 93.9.143.25493.9.143.2554,094
15493.9.144.0/2093.9.144.1 to 93.9.159.25493.9.159.2554,094
15593.9.160.0/2093.9.160.1 to 93.9.175.25493.9.175.2554,094
15693.9.176.0/2093.9.176.1 to 93.9.191.25493.9.191.2554,094
15793.9.192.0/2093.9.192.1 to 93.9.207.25493.9.207.2554,094
15893.9.208.0/2093.9.208.1 to 93.9.223.25493.9.223.2554,094
15993.9.224.0/2093.9.224.1 to 93.9.239.25493.9.239.2554,094
16093.9.240.0/2093.9.240.1 to 93.9.255.25493.9.255.2554,094
16193.10.0.0/2093.10.0.1 to 93.10.15.25493.10.15.2554,094
16293.10.16.0/2093.10.16.1 to 93.10.31.25493.10.31.2554,094
16393.10.32.0/2093.10.32.1 to 93.10.47.25493.10.47.2554,094
16493.10.48.0/2093.10.48.1 to 93.10.63.25493.10.63.2554,094
16593.10.64.0/2093.10.64.1 to 93.10.79.25493.10.79.2554,094
16693.10.80.0/2093.10.80.1 to 93.10.95.25493.10.95.2554,094
16793.10.96.0/2093.10.96.1 to 93.10.111.25493.10.111.2554,094
16893.10.112.0/2093.10.112.1 to 93.10.127.25493.10.127.2554,094
16993.10.128.0/2093.10.128.1 to 93.10.143.25493.10.143.2554,094
17093.10.144.0/2093.10.144.1 to 93.10.159.25493.10.159.2554,094
17193.10.160.0/2093.10.160.1 to 93.10.175.25493.10.175.2554,094
17293.10.176.0/2093.10.176.1 to 93.10.191.25493.10.191.2554,094
17393.10.192.0/2093.10.192.1 to 93.10.207.25493.10.207.2554,094
17493.10.208.0/2093.10.208.1 to 93.10.223.25493.10.223.2554,094
17593.10.224.0/2093.10.224.1 to 93.10.239.25493.10.239.2554,094
17693.10.240.0/2093.10.240.1 to 93.10.255.25493.10.255.2554,094
17793.11.0.0/2093.11.0.1 to 93.11.15.25493.11.15.2554,094
17893.11.16.0/2093.11.16.1 to 93.11.31.25493.11.31.2554,094
17993.11.32.0/2093.11.32.1 to 93.11.47.25493.11.47.2554,094
18093.11.48.0/2093.11.48.1 to 93.11.63.25493.11.63.2554,094
18193.11.64.0/2093.11.64.1 to 93.11.79.25493.11.79.2554,094
18293.11.80.0/2093.11.80.1 to 93.11.95.25493.11.95.2554,094
18393.11.96.0/2093.11.96.1 to 93.11.111.25493.11.111.2554,094
18493.11.112.0/2093.11.112.1 to 93.11.127.25493.11.127.2554,094
18593.11.128.0/2093.11.128.1 to 93.11.143.25493.11.143.2554,094
18693.11.144.0/2093.11.144.1 to 93.11.159.25493.11.159.2554,094
18793.11.160.0/2093.11.160.1 to 93.11.175.25493.11.175.2554,094
18893.11.176.0/2093.11.176.1 to 93.11.191.25493.11.191.2554,094
18993.11.192.0/2093.11.192.1 to 93.11.207.25493.11.207.2554,094
19093.11.208.0/2093.11.208.1 to 93.11.223.25493.11.223.2554,094
19193.11.224.0/2093.11.224.1 to 93.11.239.25493.11.239.2554,094
19293.11.240.0/2093.11.240.1 to 93.11.255.25493.11.255.2554,094
19393.12.0.0/2093.12.0.1 to 93.12.15.25493.12.15.2554,094
19493.12.16.0/2093.12.16.1 to 93.12.31.25493.12.31.2554,094
19593.12.32.0/2093.12.32.1 to 93.12.47.25493.12.47.2554,094
19693.12.48.0/2093.12.48.1 to 93.12.63.25493.12.63.2554,094
19793.12.64.0/2093.12.64.1 to 93.12.79.25493.12.79.2554,094
19893.12.80.0/2093.12.80.1 to 93.12.95.25493.12.95.2554,094
19993.12.96.0/2093.12.96.1 to 93.12.111.25493.12.111.2554,094
20093.12.112.0/2093.12.112.1 to 93.12.127.25493.12.127.2554,094
20193.12.128.0/2093.12.128.1 to 93.12.143.25493.12.143.2554,094
20293.12.144.0/2093.12.144.1 to 93.12.159.25493.12.159.2554,094
20393.12.160.0/2093.12.160.1 to 93.12.175.25493.12.175.2554,094
20493.12.176.0/2093.12.176.1 to 93.12.191.25493.12.191.2554,094
20593.12.192.0/2093.12.192.1 to 93.12.207.25493.12.207.2554,094
20693.12.208.0/2093.12.208.1 to 93.12.223.25493.12.223.2554,094
20793.12.224.0/2093.12.224.1 to 93.12.239.25493.12.239.2554,094
20893.12.240.0/2093.12.240.1 to 93.12.255.25493.12.255.2554,094
20993.13.0.0/2093.13.0.1 to 93.13.15.25493.13.15.2554,094
21093.13.16.0/2093.13.16.1 to 93.13.31.25493.13.31.2554,094
21193.13.32.0/2093.13.32.1 to 93.13.47.25493.13.47.2554,094
21293.13.48.0/2093.13.48.1 to 93.13.63.25493.13.63.2554,094
21393.13.64.0/2093.13.64.1 to 93.13.79.25493.13.79.2554,094
21493.13.80.0/2093.13.80.1 to 93.13.95.25493.13.95.2554,094
21593.13.96.0/2093.13.96.1 to 93.13.111.25493.13.111.2554,094
21693.13.112.0/2093.13.112.1 to 93.13.127.25493.13.127.2554,094
21793.13.128.0/2093.13.128.1 to 93.13.143.25493.13.143.2554,094
21893.13.144.0/2093.13.144.1 to 93.13.159.25493.13.159.2554,094
21993.13.160.0/2093.13.160.1 to 93.13.175.25493.13.175.2554,094
22093.13.176.0/2093.13.176.1 to 93.13.191.25493.13.191.2554,094
22193.13.192.0/2093.13.192.1 to 93.13.207.25493.13.207.2554,094
22293.13.208.0/2093.13.208.1 to 93.13.223.25493.13.223.2554,094
22393.13.224.0/2093.13.224.1 to 93.13.239.25493.13.239.2554,094
22493.13.240.0/2093.13.240.1 to 93.13.255.25493.13.255.2554,094
22593.14.0.0/2093.14.0.1 to 93.14.15.25493.14.15.2554,094
22693.14.16.0/2093.14.16.1 to 93.14.31.25493.14.31.2554,094
22793.14.32.0/2093.14.32.1 to 93.14.47.25493.14.47.2554,094
22893.14.48.0/2093.14.48.1 to 93.14.63.25493.14.63.2554,094
22993.14.64.0/2093.14.64.1 to 93.14.79.25493.14.79.2554,094
23093.14.80.0/2093.14.80.1 to 93.14.95.25493.14.95.2554,094
23193.14.96.0/2093.14.96.1 to 93.14.111.25493.14.111.2554,094
23293.14.112.0/2093.14.112.1 to 93.14.127.25493.14.127.2554,094
23393.14.128.0/2093.14.128.1 to 93.14.143.25493.14.143.2554,094
23493.14.144.0/2093.14.144.1 to 93.14.159.25493.14.159.2554,094
23593.14.160.0/2093.14.160.1 to 93.14.175.25493.14.175.2554,094
23693.14.176.0/2093.14.176.1 to 93.14.191.25493.14.191.2554,094
23793.14.192.0/2093.14.192.1 to 93.14.207.25493.14.207.2554,094
23893.14.208.0/2093.14.208.1 to 93.14.223.25493.14.223.2554,094
23993.14.224.0/2093.14.224.1 to 93.14.239.25493.14.239.2554,094
24093.14.240.0/2093.14.240.1 to 93.14.255.25493.14.255.2554,094
24193.15.0.0/2093.15.0.1 to 93.15.15.25493.15.15.2554,094
24293.15.16.0/2093.15.16.1 to 93.15.31.25493.15.31.2554,094
24393.15.32.0/2093.15.32.1 to 93.15.47.25493.15.47.2554,094
24493.15.48.0/2093.15.48.1 to 93.15.63.25493.15.63.2554,094
24593.15.64.0/2093.15.64.1 to 93.15.79.25493.15.79.2554,094
24693.15.80.0/2093.15.80.1 to 93.15.95.25493.15.95.2554,094
24793.15.96.0/2093.15.96.1 to 93.15.111.25493.15.111.2554,094
24893.15.112.0/2093.15.112.1 to 93.15.127.25493.15.127.2554,094
24993.15.128.0/2093.15.128.1 to 93.15.143.25493.15.143.2554,094
25093.15.144.0/2093.15.144.1 to 93.15.159.25493.15.159.2554,094
25193.15.160.0/2093.15.160.1 to 93.15.175.25493.15.175.2554,094
25293.15.176.0/2093.15.176.1 to 93.15.191.25493.15.191.2554,094
25393.15.192.0/2093.15.192.1 to 93.15.207.25493.15.207.2554,094
25493.15.208.0/2093.15.208.1 to 93.15.223.25493.15.223.2554,094
25593.15.224.0/2093.15.224.1 to 93.15.239.25493.15.239.2554,094
25693.15.240.0/2093.15.240.1 to 93.15.255.25493.15.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses